# Update project type.

Update project type.Expect error codes:INVALID_NAME - when name is invalidINVALID_PERSON - when one of provided persons is invalidINVALID_TEAM - when one of provided teams is invalid

Endpoint: POST /clockin/projects/v1/update
Version: v1
Security: basicAuth

## Request fields (application/json):

  - `projectId` (integer, required)
    Project ID
    Example: 13

  - `name` (string)
    Project name
    Example: "PROJECT-123"

  - `restrictedToPersons` (array)
    List of employees e-mails or logins.
    Example: ["john.smith@domain.com"]

  - `restrictedToTeams` (array)
    List of teams names or ids.
    Example: ["Developers Team"]

## Response 200 fields (application/json):

  - `id` (integer)
    Project id

  - `name` (string)
    Project name
    Example: "Primary project"

  - `employees` (array)
    Assigned employees

  - `employees.firstName` (string, required)
    Employee first name
    Example: "John"

  - `employees.lastName` (string, required)
    Employee last name
    Example: "Williams"

  - `employees.email` (string, required)
    Employee email
    Example: "john.williams@domain.com"

  - `employees.externalId` (string)
    Employee external identifier
    Example: "A12Y"

  - `teams` (array)
    Assigned teams

  - `teams.id` (integer, required)
    Team ID

  - `teams.name` (string, required)
    Team name
    Example: "Primary team"

## Response 400 fields (application/json):

  - `message` (string)
    Human readable error explanation.
    Example: "Api error"

  - `code` (string)
    Error code.
    Example: "INVALID_JSON_PAYLOAD"

  - `field` (string)
    Which field of payload object caused error. NULL when error is not related to particular field
    Example: "field"

## Response 401 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Authentication failure"

  - `code` (string, required)
    General type of error
    Example: "AUTH"

  - `field` (string)
    Leftover for backward compatibility

## Response 429 fields (application/json):

  - `code` (string, required)
    General type of error
    Example: "QUOTA_EXCEEDED"

  - `field` (string, required)
    Detailed info about quota and it's current usage
    Example: "Your current usage is 101/day, 10/hour, 1/sec\nYour current limits 100/day, 10/hour, 1/sec."

## Response 500 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "An unexpected error occurred"

  - `code` (string, required)
    General type of error
    Example: "INTERNAL_SERVER_ERROR"

## Response 504 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Public API call exceeded timeout"

  - `code` (string, required)
    General type of error
    Example: "TIMEOUT"


## Response 403 fields
